<?session_start();
require("../conectar.php");
require("funciones.php");
function subtotal($subtotalmxn,$subtotalusd,$concepto,$subtotalusdp)
{
						$tablaaux=' <tr>
						     <td class="sinlinea"></td>
						     <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
						     <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
						     <td class="lineadiv">SUBTOTAL '.$concepto.'</td>
							 <td class="lineadiv" style="background-color:rgb(241, 217, 90)">'.moneda($subtotalusd).'</td> <td class="lineadiv" style="background-color:rgb(241, 217, 90)">'.moneda($subtotalusdp).'</td>
							 <td class="lineadiv" style="background-color:rgb(241, 217, 90)">'.moneda($subtotalmxn).'</td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
							 <td class="sinlinea"></td>
						     <td align="right" class="sinlinea"></td>
						     <td class="sinlinea" align="center"></td>
							 <td class="sinlinea"></td>
						 </tr>';


return $tablaaux;
}


function convierte($fi,$ff){
    $ano = substr($fi, 0, 4);
    $mes = substr($fi, 5, 2);
    $dia = substr($fi, 8,2);
    $ano2 = substr($ff, 0, 4);
    $mes2 = substr($ff, 5, 2);
    $dia2 = substr($ff, 8,2);
switch ($mes){
   case 1:
   $meses="Enero";
   break;
   case 2:
   $meses="Febrero";
   break;
   case 3:
   $meses="Marzo";
   break;
   case 4:
   $meses="Abril";
   break;
   case 5:
   $meses="Mayo";
   break;
   case 6:
   $meses="Junio";
   break;
   case 7:
   $meses="Julio";
   break;
   case 8:
   $meses="Agosto";
   break;
   case 9:
   $meses="Septiembre";
   break;
   case 10:
   $meses="Octubre";
   break;
   case 11:
   $meses="Noviembre";
   break;
   case 12:
   $meses="Diciembre";
   break;
  }
 switch ($mes2){
   case 1:
   $meses2="Enero";
   break;
   case 2:
   $meses2="Febrero";
   break;
   case 3:
   $meses2="Marzo";
   break;
   case 4:
   $meses2="Abril";
   break;
   case 5:
   $meses2="Mayo";
   break;
   case 6:
   $meses2="Junio";
   break;
   case 7:
   $meses2="Julio";
   break;
   case 8:
   $meses2="Agosto";
   break;
   case 9:
   $meses2="Septiembre";
   break;
   case 10:
   $meses2="Octubre";
   break;
   case 11:
   $meses2="Noviembre";
   break;
   case 12:
   $meses2="Diciembre";
   break;
  }
$periodo=$dia." de ".$meses." del ".$ano." <b>al</b> ".$dia2." de ".$meses2." del ".$ano2;  
return $periodo;
}
 $fi=$_GET["fechaini"];
  $ff=$_GET["fechafin"];
?>

<html>

     <head> 
		<meta charset="utf-8">
<!-- <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> -->
	<script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script>
function validapago(pago)
{
var ch=document.getElementById('val'+pago).checked;
var checado;
if(ch==true){checado="s";}else{checado="";}
 $.post("valpagocont.php", {pago:pago,valor:checado}, function(data){
	if(data=="") $("#columna"+pago).html(data+'<br><input id="val'+pago+'" type="checkbox"  onclick="validapago('+pago+')">');
	else $("#columna"+pago).html(data+'<br><input id="val'+pago+'" type="checkbox" checked onclick="validapago('+pago+')">');
	 });
}
</script> <?
$tabla.='
<style>   
.categoria{position:relative;padding-top:3px;padding-bottom:3px;text-align:center;font-size:9px;font-family:arial;background:#FFFFFF;border-bottom:1px solid #BDBDBD;border-top:1px solid #BDBDBD;color:#848484;}
.categoriaB{position:relative;padding-top:3px;padding-bottom:3px;text-align:center;font-size:9px;font-family:arial;background:#FFFFFF;border-bottom:1px solid #BDBDBD;border-top:1px solid #BDBDBD;color:#000000;}
.tr1{background:#D8D8D8;}
.tr2{background:#F2F2F2;}
.dts{border-collapse:collapse;font-family:arial;font-size:9px;}
.lineadiv{border:solid 1px #000000;color:#000000;}
.sinlinea{border:none; color:#fff;}
.fondop{background-color:#F9F263;}
.fondor{background-color:#C6E06D;}
.fondod{background-color:#A9D0F5;}
</style>';
echo$tabla;
?>
</head>
<body>
		<br>
	        <?$tabla.='<table class="dts">
				 <tr class="categoriaB">
						     <td colspan="23" align="center" class="tds">INGRESOS PERIODO'.convierte($fi,$ff).'</td>
					</tr>
				 <tr class="categoriaB">
				   <td colspan="6"></td>
				   <td align="center" colspan="" class="lineadiv" style="background-color:rgb(103, 214, 143)"><b>PROPIEDAD</b></td>
				   <td colspan="5"></td><td align="center" colspan="2" class="lineadiv" style="background-color:rgb(103, 214, 143)"><b>TOTAL PAGADAS</b></td>
				   <td colspan="7"></td>
				   </tr>
				 <tr class="categoriaB">
				     <td align="center" class="lineadiv"><b>No</b></td>
				     <td align="center" class="lineadiv"><b>Fecha</b></td>
					 <td align="center" class="lineadiv"><b>Turno</b></td>
					 <td align="center" class="lineadiv"><b>Coord</b></td>
					 <td align="center" class="lineadiv"><b>Ejecutivo</b></td>
					 <td align="center" class="lineadiv"><b>Recibio</b></td>
					 <!--<td align="center" class="lineadiv"><b>Edificio</b></td>-->
					 <td align="center" class="lineadiv"><b>Departamento</b></td>
					 <td align="center" class="lineadiv"><b>Periodo</b></td>
					 <td align="center" class="lineadiv"><b>Noches</b></td>
					 <td align="center" class="lineadiv"><b>Medio</b></td>
					 <td align="center" class="lineadiv"><b>Submedio</b></td>
					 <td align="center" class="lineadiv"><b>A. Paterno</b></td>
					 <td align="center" class="lineadiv"><b>A. Materno</b></td>
					 <td align="center" class="lineadiv"><b>Nombre</b></td>
					 <td align="center" class="lineadiv"><b>Forma de Pago</b></td>
					 <td align="center" class="lineadiv"><b>Concepto</b></td>
					 
					 <td align="center" class="lineadiv"><b>Descuento</b></td>
					  <td align="center" class="lineadiv"><b>Total a Pagar</b></td>
					 <td align="center" class="lineadiv"><b>Detalle</b></td>
					 <td align="center" class="lineadiv"><b>Dolares</b></td>
					 <td align="center" class="lineadiv"><b>Dolares Equivalente en Pesos</b></td>
					 <td align="center" class="lineadiv"><b>Pesos</b></td>';
					/* <td align="center" class="lineadiv"><b>Numero Noches</b></td>
					 <td align="center" class="lineadiv"><b>$ Noches</b></td>
					 <td align="center" class="lineadiv"><b>Numero Sem</b></td>
					 <td align="center" class="lineadiv"><b>$ Sem</b></td>
					 <td align="center" class="lineadiv"><b>Numero Mes</b></td>
					 <td align="center" class="lineadiv"><b>$ Mes</b></td>
					 <td align="center" class="lineadiv"><b>Numero Aņos</b></td>
					 <td align="center" class="lineadiv"><b>$ Aņos</b></td>*/
				$tabla.='<td align="center" class="lineadiv"><b>Tipo de Cambio</b></td>
					 <td align="center" class="lineadiv"><b>Comp.</b></td>
					 <td align="center" class="lineadiv"><b>Val Admon</b></td>
					 <td align="center" class="lineadiv"><b>Val Auditoria</b></td>
				 </tr>';
				    $sql="SELECT p.dircontval, p.id_renta,p.comprobante,p.usu_val,p.id_pago,p.fecha as fecha,p.concepto as concepto,p.formapago as fpago, p.monto as cantidad, (p.monto*p.divisa) as cantidadconv, p.tipo_moneda as moneda, p.divisa as divisa, p.f_entrada as entrada, p.f_salida as salida,p.valadmon,p.id_concepto,p.detalle,c.nombre as propiedad, d.clave as clave,d.no_depto, e.nombre as nombre, e.a_pat as apat,e.turno,cm.id_complejo FROM pagos as p  
				    INNER JOIN complejo as cm ON p.propiedad=cm.id_complejo 
				    INNER JOIN complejo as c ON p.propiedad=c.id_complejo 
				    INNER JOIN  departamentos as d ON p.clave=d.id_departamento 
				    INNER JOIN empleados as e ON p.id_emp=e.id_empleado 
				    WHERE p.fecha between '$fi' and '$ff' and valadmon='s'  order by p.concepto='DEPOSITO', p.concepto='IMPUESTOS',p.concepto='EXTRAS',p.concepto='SEGUIMIENTO',p.concepto='RENTA', p.fecha asc";
					$re=mysql_query($sql);
					$k=1;
					$f=1;
					$memoria="RENTA";
					while($ls=mysql_fetch_array($re)){					
					if($ls['concepto']!=$memoria){
						$tabla.=subtotal($subtotalmxn,$subtotalusd,$memoria,$subtotalusdp); 
						$subtotalmxn=0;
						$subtotalusd=0;
						$subtotalusdp=0;
						$memoria=$ls['concepto'];

					}
					if($f==1){
						$f=2;
					}else{
						$f=1;
					}
					     if($ls['valadmon']=='s'){$ch="checked";$img="<img src='images/emok.png' width='15' height='15' border='0'>";}else{$ch="";$img="";}
						 $renta="select pa.id_renta,r.id_cliente,r.id_coordinador,r.id_ejecutivo,r.medio,r.submedio,c.a_pat,c.a_mat,c.nombre from pagos as pa INNER JOIN renta r ON pa.id_renta=r.id_renta 	
						 INNER JOIN clientes c ON r.id_cliente=c.id_cliente where pa.id_renta='$ls[id_renta]'";
						 $ejerenta=mysql_query($renta);
						 $rta=mysql_fetch_array($ejerenta);
						 $cliente=$rta['a_pat']." ".$rta['a_mat']." ".$rta['nombre'];
						 $nomcliente=htmlentities($cliente);
						 $idcliente=$rta['id_cliente'];
						 $idrenta=$rta['id_renta'];
						 $coordi=$rta['id_coordinador'];
						 $ejec=$rta['id_ejecutivo'];
						 
						 //medio y submedio
						 $sqlmed="select canal from medio where id='$rta[medio]'";
						 $ejemed=mysql_query($sqlmed);
						 $med=mysql_fetch_array($ejemed);
						 $medio=$med['canal'];
						 
						 $sqlsubmed="select subcanal from submedio where idsubmedio='$rta[submedio]'";
						 $ejesubmed=mysql_query($sqlsubmed);
						 $submed=mysql_fetch_array($ejesubmed);
						 $submedio=$submed['subcanal'];
					 
						 //coordi
						 $coor="SELECT concat(nombre,' ',a_pat,' ',a_mat) as coor FROM empleados WHERE id_empleado='$coordi'";
						 $qc=mysql_query($coor);
						 $c=mysql_fetch_array($qc);
						 $coordinador=$c["coor"];
						 //ejecutivo
						 $eje="SELECT concat(nombre,' ',a_pat,' ',a_mat) as ejecutivo FROM empleados WHERE id_empleado='$ejec'";
						 $qe=mysql_query($eje);
						 $ej=mysql_fetch_array($qe);
						 $ejecutivo=$ej["ejecutivo"];
						 
						 $select="SELECT nombre, a_pat FROM empleados WHERE id_empleado='$ls[usu_val]'";
						 $q=mysql_query($select);
						 $e=mysql_fetch_array($q);
						 $admonval=$e["nombre"]." ".$e["a_pat"]; 
						 $select="SELECT nombre, a_pat FROM empleados WHERE id_empleado='$ls[dircontval]'";
						 $q=mysql_query($select);
						 $e=mysql_fetch_array($q);
						 $contval=$e["nombre"]." ".$e["a_pat"];
						 $chec="";
						 
						 /*--------------------*/
						 $conceptodescuento="select deposito,divisa,descuento,tipomoneda,if(descuento>0 and tipomoneda='MXN',(subtotal+impuesto)/divisa-(subtotal+impuesto)/divisa*(descuento/100),subtotal) as total,impuesto, no_anios AS anios, no_meses AS meses, no_sem AS semanas, no_dias AS noches,descuento,autorizadesc from conceptos where id_concepto='$ls[id_concepto]' ";
						 $descuento=mysql_query($conceptodescuento);
						 $datosconcepto=mysql_fetch_array($descuento);
						/*Total Noches*/
					     $noAn=($datosconcepto["anios"]*12)*30;
	                     $noMe=$datosconcepto["meses"]*30;
	                     $noSe=$datosconcepto["semanas"]*7;
	                     $totNoches = $noAn + $noMe + $noSe + $datosconcepto["noches"]; 
					    /***********************************/
						$idconcepto = $ls['id_concepto'];
						    //print_r($datosconcepto);
						    //echo $datosconcepto["tipomoneda"];

                        //if($ls['concepto']=='RENTA'){
						  $totPagar=0;

						 if($datosconcepto["descuento"]>0){
							if($datosconcepto["tipomoneda"]=="USD"){
							  $totPagar=$datosconcepto["total"]-($datosconcepto["total"]*($datosconcepto["descuento"]/100));
							  }else{
			                  	$totPagar=$datosconcepto["total"];
			                  }		
			                  $totPagarpesos=$totPagar*$datosconcepto["divisa"];		  
						}else{
							 if($datosconcepto["tipomoneda"]=="MXN" && $datosconcepto["descuento"] < 1){
							     $totPagar=(($datosconcepto["total"]+$datosconcepto["impuesto"])/$datosconcepto["divisa"]);
							 }else{
							       $totPagar=$datosconcepto["total"];
								  }
								  $totPagarpesos=$totPagar*$datosconcepto["divisa"];
							}
						
				       

				     if($ls['concepto']=='DEPOSITO'){

						$totPagarpesos=0;
						 if($ls["tipomoneda"]=="MXN"){
						     $totPagar=($datosconcepto["deposito"]/$datosconcepto["divisa"]);
						 }else{
						       $totPagar=$datosconcepto["deposito"];
						 }
						  $totPagarpesos=$totPagar;
						}
					
						 /*--------------------*/
						 




						 if($ls['id_complejo']==1){$propiedad="TS";}
					     if($ls['id_complejo']==2){$propiedad="M";}
					     if($ls['id_complejo']==3){$propiedad="T";}
						 if($ls['id_complejo']==4){$propiedad="CC";}
						 if($ls['id_complejo']==5){$propiedad="TP";}
						 if($ls['id_complejo']==6){$propiedad="VITO";}
						 if($ls['id_complejo']==22){$propiedad="CSA";}	
						/***********si tiene descuento autorizado***********/
						 if($datosconcepto['descuento'] > 0 && $datosconcepto['autorizadesc'] > 0){$descuentoAutorizado = $datosconcepto['descuento']."%";}else{$descuentoAutorizado = "";}
						/****************************************************/
						 if($contval!=" ")$chec="checked";
						 if($ls['fpago']=="EFECTIVO" && $ls['moneda']=="MXN"){$mon="EP";
							 }elseif($ls['fpago']=="EFECTIVO" && $ls['moneda']=="USD"){$mon="ED";}else{$mon=$ls['fpago'];}
				$tabla.='<tr class="tr'.$f.'">
						     <td class="lineadiv">'.$k.'</td>
						     <td class="lineadiv">'.$ls['fecha'].'</td>
							 <td class="lineadiv">'.$ls['turno'].'</td>
							 <td class="lineadiv">'.$coordinador.'</td>
							 <td class="lineadiv">'.$ejecutivo.'</td>
						     <td class="lineadiv">'.htmlentities($ls['nombre'])." ".htmlentities($ls['apat']).'</td>
							 <!--<td class="lineadiv">'.$ls['propiedad'].'</td>-->
							 <td class="lineadiv">'.$propiedad." ".$ls['clave']." ".$ls['no_depto'].'</td>
							 <td class="lineadiv">'.$ls['entrada']." Al ".$ls['salida'].'</td>
							 <td class="lineadiv" style="text-align:center;">'.$totNoches.'</td>
							 <!--<td class="lineadiv">'.$ls['clave'].'</td>-->
							 <td class="lineadiv">'.$medio.'</td>
							 <td class="lineadiv">'.$submedio.'</td>
							 <td class="lineadiv"><a href="cedulas.php?idcliente='.$idcliente.'&idrenta='.$idrenta.'" target="_blank">'.$rta['a_pat'].'</a></td>
							 <td class="lineadiv"><a href="cedulas.php?idcliente='.$idcliente.'&idrenta='.$idrenta.'" target="_blank">'.$rta['a_mat'].'</a></td>
							 <td class="lineadiv"><a href="cedulas.php?idcliente='.$idcliente.'&idrenta='.$idrenta.'" target="_blank">'.$rta['nombre'].'</a></td>
							 <td class="lineadiv">'.$mon.'</td>
						     <td class="lineadiv">';
							 if($ls['concepto']=='DEPOSITO')$tabla.="GARANTIA";elseif($ls['concepto']=='IMPUESTOS')$tabla.="IVA";else $tabla.=$ls['concepto'];
							 if($ls['concepto']=='IMPUESTOS'){$totPagarpesos = $datosconcepto['impuesto'];}
							 $tabla.='<td align="center" class="lineadiv">'.$descuentoAutorizado.'</td>';
							 //$tabla.='<td align="right" class="lineadiv">'.Moneda($totPagarpesos).'</td>';
							 $tabla.='<td class="lineadiv"><a href="pagos3.php?idcliente='.$idcliente.'&idrenta='.$idrenta.'&idconcepto='.$idconcepto.'" target="_blank">'.Moneda($totPagarpesos).'</a></td>';
							 $tabla.='</td>
							 <td class="lineadiv">'.$ls['detalle'].'</td>
							 <td class="lineadiv" style="background-color:rgb(241, 217, 90)">';
							 if($ls['moneda']=="USD"){$tabla.="<b>".moneda($ls['cantidad'])."</b>";$totalUSD=$totalUSD+$ls['cantidad']; $subtotalusd=$subtotalusd+$ls['cantidad'];$o=$ls['cantidad']*$ls['divisa'];}
							 $tabla.='</td>
							 <td class="lineadiv" style="background-color:rgb(241, 217, 90)">';
							 if($ls['moneda']=="USD"){$tabla.="<b>".moneda($ls['cantidadconv'])."</b>";$totalUSDp=$totalUSDp+$ls['cantidadconv']; $subtotalusdp=$subtotalusdp+$ls['cantidadconv'];}
							  $tabla.='</td>
							 <td class="lineadiv" style="background-color:rgb(241, 217, 90)">';
							 if($ls['moneda']=="MXN"){$tabla.="<b>".moneda($ls['cantidad'])."<b>";$totalMXN=$totalMXN+$ls['cantidad'];$subtotalmxn=$subtotalmxn+$ls['cantidad'];$o=$ls['cantidad'];}
							 $tabla.='</td>';
					
							 $grantotal=$o+$grantotal;
							/*		 $con="select c.no_dias as noche,c.no_sem as sem,c.no_meses as mes,c.no_anios as ano,c.tarifa,c.id_departamento from pagos as pa INNER JOIN conceptos c ON pa.id_concepto=c.id_concepto where pa.id_concepto='$ls[id_concepto]' and pa.concepto='RENTA' and pa.propiedad=c.id_complejo and pa.clave=id_departamento";
							 $co=mysql_query($con);
							 $nsma=mysql_fetch_array($co);
							 $noche=$nsma['noche'];
							 $sem=$nsma['sem'];
							 $mes=$nsma['mes'];
							 $ano=$nsma['ano'];
							 
							 
							 if($mes==1){$campo="mes";}
							 if($mes>=2 && $mes<=4){$campo="2a4";}
							 if($mes>=5 && $mes<=8){$campo="5a8";}
							 
							 $tarifa=$nsma['tarifa'];
                             if($tarifa=="ta"){$tar="tarifa_alta";}
							 if($tarifa=="tm"){$tar="tarifa_media";}
							 if($tarifa=="tb"){$tar="tarifa_baja";}	
							 if($tarifa=="tmb"){$tar="tarifa_muybaja";}
							 $t="select * from $tar where id_departamento='$nsma[id_departamento]'";
							 $ta=mysql_query($t);
							 $costo=mysql_fetch_array($ta);
							 if($noche!=0){$cnoche=$costo['noche'];}else{$cnoche=0;}
							 if($sem!=0){$csem=$costo['semana'];}else{$csem=0;}
							 if($mes!=0){$cmes=$costo[$campo];}else{$cmes=0;}
							 if($ano!=0){$cano=$costo['anual'];}else{$cano=0;}
					$tabla.='<td class="lineadiv">'.$noche.'</td>
							 <td class="lineadiv">'.$cnoche.'</td>
							 <td class="lineadiv">'.$sem.'</td>
							 <td class="lineadiv">'.$csem.'</td>
							 <td class="lineadiv">'.$mes.'</td>
							 <td class="lineadiv">'.$cmes.'</td>
							 <td class="lineadiv">'.$ano.'</td>
							 <td class="lineadiv">'.$cano.'</td>';
						    */ 
							$tabla.='<td align="right" class="lineadiv"><font style="float:left">$</font>'.$ls['divisa'].'</td>
						     <td class="lineadiv" align="center">';
							 if($ls["comprobante"]==""){$tabla.="";}
							 else{$tabla.='<a href="'.$ls["comprobante"].'" target="_blank"><img src="images/zoom.png" width="18" height="18" border="0" style="margin-left:-5px;" alt="Ver comprobante"></a>';}
							 $tabla.='</td>
							 <td class="lineadiv">'.$admonval.'</td>';
								if($_SESSION["usuario_puesto"]==20||$_SESSION["usuario_puesto"]==1||$_SESSION["usuario_id"]==72){$tabla.=' <td class="lineadiv" id="columna'.$ls["id_pago"].'">'.$contval.'<br><input  '.$chec.' id="val'.$ls["id_pago"].'" type="checkbox" onclick="validapago('.$ls["id_pago"].')"></td>';}
							 else{$tabla.=' <td id="columna'.$ls["id_pago"].'" class="lineadiv">'.$contval.'</td>';}
						 $tabla.='</tr>';
						  $totPagarpesos=0;						
						$k++;
					}
					$tabla.=subtotal($subtotalmxn,$subtotalusd,$memoria,$subtotalusdp);
					$tabla.='<tr class="tr'.$f.'"><td colspan="19" class="sinlinea" align="right"><font color="black">GRAN TOTAL<font></td><td class="lineadiv" colspan="3" align="center"><b>'.moneda($grantotal).'</b></td><td colspan="11" class="sinlinea"></td></tr>';
					if($k==1){
						$tabla.='<tr class="trb">
						     <td colspan="13" align="center">No se encontraron pagos nuevos por el concepto de RENTA</td>
						 </tr>';
					}
			
		     $tabla.='</table>';

			 ?>
			<form action="reporteingresosgeneraexcel.php" method="post" > 
			 <input type="hidden" name="cont" value="<?echo base64_encode($tabla);?>">
			 <input type="hidden" name="fechaini" value="<?echo$_GET["fechaini"]?>">
			 <input type="hidden" name="fechafin" value="<?echo$_GET["fechafin"]?>">
			 <input type="submit"  title="Generar Excel" value="" style="background:url(images/excel.png) no-repeat; top left;
    padding: 10px 15px;">
			 </form>
			 <?
			 echo$tabla;
			?>
			 
	</body>